OTPme - Feature #48

add Idap server support
05 July 2015 13:12 - The 2nd

Status: In Bearbeitung Start date: 15 April 2016
Priority: Normal Due date:

Assignee: % Done: 60%
Category: Estimated time: 0:00 hour
Target version: OTPme 0.3

Description

OTPme should support Idap as access protocol to it's users, groups etc.

add support for units (ou)
add group support (memberUid)

add Idap support for different object classes as extensions

Subtasks:

Feature # 72: Allow LDAP authentication to different accessgroups

In Bearbeitunq

History

#1 - 15 April 2016 23:39 - The 2nd
- % Done changed from 30 to 60

This feature is implemented using python-ldaptor. Users can authenticate with any token that supports clear-text passwords (e.g. OTP or static

passwords). OTPme ACLs are used to restrict access to LDAP attributes. Currently we support LDAP for the following objects:

Realm/Site as DC
Units as OUs

Users as posixAccount
Groups as posixGroup
